diff --git a/contrib/pg_stat_statements/pg_stat_statements.c b/contrib/pg_stat_statements/pg_stat_statements.c
index 51b24d0..6167e36 100644
--- a/contrib/pg_stat_statements/pg_stat_statements.c
+++ b/contrib/pg_stat_statements/pg_stat_statements.c
@@ -260,7 +260,7 @@ _PG_init(void)
 	 * resources in pgss_shmem_startup().
 	 */
 	RequestAddinShmemSpace(pgss_memsize());
-	RequestAddinLWLocks(1);
+	RequestAddinFlexLocks(1);
 
 	/*
 	 * Install hooks.
diff --git a/src/backend/postmaster/postmaster.c b/src/backend/postmaster/postmaster.c
index 59d18eb..a07a4c9 100644
--- a/src/backend/postmaster/postmaster.c
+++ b/src/backend/postmaster/postmaster.c
@@ -109,7 +109,6 @@
 #include "postmaster/syslogger.h"
 #include "replication/walsender.h"
 #include "storage/fd.h"
-#include "storage/flexlock_internals.h"
 #include "storage/ipc.h"
 #include "storage/pg_shmem.h"
 #include "storage/pmsignal.h"
diff --git a/src/backend/storage/lmgr/flexlock.c b/src/backend/storage/lmgr/flexlock.c
index f96437b..6145951 100644
--- a/src/backend/storage/lmgr/flexlock.c
+++ b/src/backend/storage/lmgr/flexlock.c
@@ -22,17 +22,16 @@
 #include "postgres.h"
 
 #include "miscadmin.h"
+#include "pg_trace.h"
 #include "access/clog.h"
 #include "access/multixact.h"
 #include "access/subtrans.h"
 #include "commands/async.h"
+#include "storage/flexlock.h"
 #include "storage/flexlock_internals.h"
-#include "storage/lwlock.h"
 #include "storage/predicate.h"
-#include "storage/proc.h"
 #include "storage/procarraylock.h"
 #include "storage/spin.h"
-#include "utils/elog.h"
 
 /*
  * We use this structure to keep track of flex locks held, for release
diff --git a/src/backend/storage/lmgr/proc.c b/src/backend/storage/lmgr/proc.c
index 173b7cb..10ec83b 100644
--- a/src/backend/storage/lmgr/proc.c
+++ b/src/backend/storage/lmgr/proc.c
@@ -755,7 +755,7 @@ ProcKill(int code, Datum arg)
 #endif
 
 	/*
-	 * Release any felx locks I am holding.  There really shouldn't be any, but
+	 * Release any flex locks I am holding.  There really shouldn't be any, but
 	 * it's cheap to check again before we cut the knees off the flex lock
 	 * facility by releasing our PGPROC ...
 	 */
diff --git a/src/include/storage/flexlock_internals.h b/src/include/storage/flexlock_internals.h
index d1bca45..a5c5711 100644
--- a/src/include/storage/flexlock_internals.h
+++ b/src/include/storage/flexlock_internals.h
@@ -16,8 +16,6 @@
 #ifndef FLEXLOCK_INTERNALS_H
 #define FLEXLOCK_INTERNALS_H
 
-#include "pg_trace.h"
-#include "storage/flexlock.h"
 #include "storage/proc.h"
 #include "storage/s_lock.h"
 
